import { isDefined, isBoolean, isObject } from '../utils';

/**
 *
 * @param value
 * @param required
 * @returns {*}
 */
export default function requiredRule(value, required) {
  if (value) {
    return true;
  }

  if (isBoolean(required)) {
    return !required;
  }

  if (isObject(required)) {
    const {
      allowEmpty,
      allowZero
    } = required;

    if (isBoolean(allowEmpty)) {
      return allowEmpty && value === '';
    }

    if (isBoolean(allowZero)) {
      return allowZero && value === 0;
    }
  }

  return isDefined(value);
}
